/*
 * Created on 31.01.2004 15:57:52
 *
 * Multimediale Algorithmen und Datenstrukturen Assessments
 */
package work;

import mauda.plugin.*;

/**
 * Short programm to verify the evaluation of formulas from
 * knowledge-base.<br>
 * 
 * @author Markus Krebs
 */
public class FormulaTest {

	/**
	 * Starts the FormulaTest
	 * @param args
	 */
	public static void main(String[] args) {
		KBFormulaEvaluator e = new KBFormulaEvaluator(null);
		//String f = "link = cut AND NOT 2 > 3 AND 2 != 3";
		//String f = "NOT cut = cut";
		//String f = "TRUE AND newfheapmeld = link AND 1 = 1";
		String f = "TRUE AND FALSE";
		boolean r = e.evaluateFilledFormula(f);
		System.out.println("RESULT: "+r);
	}
}
